Imports UTS_Core.UTSModule.Station

Public Class GridNodeDeleteCommand : Implements ICommand
    Private ReadOnly grd As StationPlanGrid
    Private ReadOnly startMoveRow As Integer
    Private ReadOnly moveRows As Integer
    Private ReadOnly nodes As List(Of RowNode)

    Sub New(grd As StationPlanGrid, startMoveRow As Integer, moveRows As Integer, nodes As List(Of RowNode))
        Me.grd = grd
        Me.startMoveRow = startMoveRow
        Me.moveRows = moveRows
        Me.nodes = nodes
    End Sub

    Public Sub Redo() Implements ICommand.Redo
        grd.NodeDeleteCommand(startMoveRow, moveRows)
    End Sub

    Public Sub Undo() Implements ICommand.Undo
        grd.NodeAddCommand(startMoveRow, moveRows, nodes)
    End Sub
End Class
